Package org.opensaml.xmlsec.signature.impl

# Class X509IssuerSerialImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.impl.X509IssuerSerialImpl

All Implemented Interfaces:
  `XMLObject`, `X509IssuerSerial`

public class X509IssuerSerialImpl extends AbstractXMLObject implements X509IssuerSerial
Concrete implementation of `X509IssuerSerial`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private X509IssuerName`
`issuerName`
X509IssuerName child element.
`private X509SerialNumber`
`serialNumber`
X509SerialNumber child element.

### Fields inherited from interface org.opensaml.xmlsec.signature.X509IssuerSerial

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`X509IssuerSerialImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`X509IssuerName`
`getX509IssuerName()`
Get the X509IssuerName child element.
`X509SerialNumber`
`getX509SerialNumber()`
Get the X509SerialNumber child element.
`void`
`setX509IssuerName(X509IssuerName newX509IssuerName)`
Set the X509IssuerName child element.
`void`
`setX509SerialNumber(X509SerialNumber newX509SerialNumber)`
Set the X509SerialNumber child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### issuerName

@Nullable private X509IssuerName issuerName
X509IssuerName child element.

### serialNumber

@Nullable private X509SerialNumber serialNumber
X509SerialNumber child element.

## Constructor Details

### X509IssuerSerialImpl

protected X509IssuerSerialImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getX509IssuerName

@Nullable public X509IssuerName getX509IssuerName()
Get the X509IssuerName child element.

Specified by:
  `getX509IssuerName` in interface `X509IssuerSerial`
Returns:
  the X509Issuername child element

### setX509IssuerName

public void setX509IssuerName(@Nullable X509IssuerName newX509IssuerName)
Set the X509IssuerName child element.

Specified by:
  `setX509IssuerName` in interface `X509IssuerSerial`
Parameters:
  `newX509IssuerName` - the new X509IssuerName child element

### getX509SerialNumber

@Nullable public X509SerialNumber getX509SerialNumber()
Get the X509SerialNumber child element.

Specified by:
  `getX509SerialNumber` in interface `X509IssuerSerial`
Returns:
  the X509SerialNumber child element

### setX509SerialNumber

public void setX509SerialNumber(@Nullable X509SerialNumber newX509SerialNumber)
Set the X509SerialNumber child element.

Specified by:
  `setX509SerialNumber` in interface `X509IssuerSerial`
Parameters:
  `newX509SerialNumber` - the new X509SerialNumber child element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements